Skip to main content
PATCH
/
api
/
organizations
/
{organization_id}
/
automations
/
endpoints
/
{endpoint_id}
Update a custom automation endpoint
curl --request PATCH \
  --url https://api.getgranite.ai/api/organizations/{organization_id}/automations/endpoints/{endpoint_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "response_template": {},
  "request_schema": {},
  "is_active": true,
  "rpa_run_id": "<string>",
  "parameter_mapping": {}
}
'
{
  "endpoint": {
    "endpoint_id": "<string>",
    "slug": "<string>",
    "method": "<string>",
    "response_template": {},
    "request_schema": {},
    "is_active": true,
    "created_at": "<string>",
    "updated_at": "<string>",
    "rpa_run_id": "<string>",
    "parameter_mapping": {}
  }
}

Path Parameters

organization_id
string
required
endpoint_id
string
required

Body

application/json

Request to update a custom automation endpoint

response_template
Response Template · object

Updated response template

request_schema
Request Schema · object

Updated request schema

is_active
boolean | null

Whether the endpoint is active

rpa_run_id
string | null

Updated RPA run_id link

parameter_mapping
Parameter Mapping · object

Updated parameter mapping

Response

Successful Response

Response containing a single endpoint

endpoint
EndpointInfo · object
required

Endpoint information